Edit: There is now an option in the resource manager that allows you set the minimum TLS version to 1.2. Disabling SSL and early TLS is a PCI Compliance requirement. After several research, trial and errors, I have put up this guide that will help you achieve this without using an App Service Environment (ASE).The What? Secure